Debian Bug report logs - #608219
Windows XP detected in installation but not end in grub

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Jan Photo <jltransit@gmail.com>

Date: Tue, 28 Dec 2010 20:15:02 UTC

Severity: normal

Tags: d-i

Merged with 587397, 603107, 608025, 609251

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#608219; Package installation-reports. (Tue, 28 Dec 2010 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Photo <jltransit@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 28 Dec 2010 20:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Photo <jltransit@gmail.com>
To: submit@bugs.debian.org
Cc: jltransit@gmail.com
Subject: Squeeze installer bug report
Date: Tue, 28 Dec 2010 21:10:28 +0100
Package: installation-reports

Boot method: CD and DVD
Image version: http://cdimage.debian.org/cdimage/squeeze_di_beta2/i386/iso-cd/debian-squeeze-di-beta2-i386-netinst.iso
Date: 2010-12-26

Machine: Toshiba U400 laptop
Processor: Intel dual Pentium 1.86 GHz
Memory: 1 Gb
Partitions: Filesystem    Type   1K-blocks      Used Available Use% Mounted on
/dev/sda3     ext3     8970448   3337684   5177084  40% /
tmpfs        tmpfs     1032748         0   1032748   0% /lib/init/rw
udev         tmpfs     1031432       256   1031176   1% /dev
tmpfs        tmpfs     1032748         0   1032748   0% /dev/shm

Output of lspci -knn
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960
Memory Controller Hub [8086:2a00] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: agpgart-intel
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile
GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: i915
00:02.1 Display controller [0380]: Intel Corporation Mobile
GM965/GL960 Integrated Graphics Controller [8086:2a03] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
00:1a.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family)
USB UHCI Controller #4 [8086:2834] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: uhci_hcd
00:1a.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family)
USB UHCI Controller #5 [8086:2835] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: uhci_hcd
00:1a.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family)
USB2 EHCI Controller #2 [8086:283a] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: ehci_hcd
00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD
Audio Controller [8086:284b] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: HDA Intel
00:1c.0 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI
Express Port 1 [8086:283f] (rev 03)
	Kernel driver in use: pcieport
00:1c.3 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI
Express Port 4 [8086:2845] (rev 03)
	Kernel driver in use: pcieport
00:1c.4 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI
Express Port 5 [8086:2847] (rev 03)
	Kernel driver in use: pcieport
00:1c.5 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI
Express Port 6 [8086:2849] (rev 03)
	Kernel driver in use: pcieport
00:1d.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family)
USB UHCI Controller #1 [8086:2830] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: uhci_hcd
00:1d.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family)
USB UHCI Controller #2 [8086:2831] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: uhci_hcd
00:1d.2 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family)
USB UHCI Controller #3 [8086:2832] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: uhci_hcd
00:1d.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family)
USB2 EHCI Controller #1 [8086:2836] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: ehci_hcd
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge
[8086:2448] (rev f3)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801HEM (ICH8M) LPC
Interface Controller [8086:2815] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
00:1f.1 IDE interface [0101]: Intel Corporation 82801HBM/HEM
(ICH8M/ICH8M-E) IDE Controller [8086:2850] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: ata_piix
00:1f.2 SATA controller [0106]: Intel Corporation 82801HBM/HEM
(ICH8M/ICH8M-E) SATA AHCI Controller [8086:2829] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: ahci
00:1f.3 SMBus [0c05]: Intel Corporation 82801H (ICH8 Family) SMBus
Controller [8086:283e] (rev 03)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
07:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd.
88E8040T PCI-E Fast Ethernet Controller [11ab:4355] (rev 12)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: sky2
0a:01.0 FireWire (IEEE 1394) [0c00]: O2 Micro, Inc. Firewire (IEEE
1394) [1217:00f7] (rev 02)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: firewire_ohci
0a:01.2 SD Host controller [0805]: O2 Micro, Inc. Integrated MMC/SD
Controller [1217:7120] (rev 02)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]
	Kernel driver in use: sdhci-pci
0a:01.3 Mass storage controller [0180]: O2 Micro, Inc. Integrated
MS/xD Controller [1217:7130] (rev 01)
	Subsystem: Toshiba America Info Systems Device [1179:ff50]


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O ]
Detect network card:    [O ]
Configure network:      [O ]
Detect CD:              [O ]
Load installer modules: [O ]
Detect hard drives:     [O ]
Partition hard drives:  [O ]
Install base system:    [O ]
Clock/timezone setup:   [ ]
User/password setup:    [O ]
Install tasks:          [O ]
Install boot loader:    [E ]
Overall install:        [- ]

Comments/Problems:

CD or DVD gives same error.  Installation says "Windows XP detected",
I choose GRUB, however there is no "Windows XP" in boot menu when I
reboot  It might look to users like Windows has been erased.  However,
Windows is still there, just not bootable.  Solution was to boot
Debian, and re-run grub, producing a new /boot/grub/grub.cfg.
Problem is serious, as users will think that Debian deleted the
Windows system.  Since the script says "Windows detected", why does it
not write a menu entry?  Older installers _did_ write a Windows menu
entry, on the same computer.




Changed Bug title to 'Windows XP detected in installation but not end in grub' from 'Squeeze installer bug report' Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 09 Jan 2011 17:09:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'installation-reports' to 'grub-installer'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 09 Jan 2011 17:09:09 GMT) Full text and rfc822 format available.

Merged 603107 608025 608219 609251. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 09 Jan 2011 17:09:11 GMT) Full text and rfc822 format available.

Merged 587397 603107 608025 608219 609251. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 30 Jan 2011 17:15:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:41:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.